# TMFFillAttributes Class Reference

List of all members.

## Public Member Functions
| TMFFillAttributes (EUIColor inUIColorIndex=kUIColor_UseRGBColor, TMCRGBColor inColor=TMCRGBColor::sBlack)
| TMFFillAttributes (TMCRGBColor inColor)
| operator TMCRGBColor ()
boolean | operator== (const TMFFillAttributes &inFill) const
TMCRGBColor | GetDisplayColor ()
TMCRGBColor & | GetRGBColor ()
EUIColor | GetUIColorIndex () const
void | SetRGBColor (const TMCRGBColor &inColor)
void | SetUIColorIndex (EUIColor inUIColorIndex)
## Protected Attributes
TMCRGBColor | fColor
EUIColor | fUIColorIndex

## Detailed Description

TMFFillAttributes is used to fill an area with a color (for now) If fUIColorIndex is not kUIColor_UseRGBColor, it references a predefined color (that the user can choose in the preferences). Otherwise, the fColor field is used.

## Constructor & Destructor Documentation

TMFFillAttributes::TMFFillAttributes | ( | EUIColor | inUIColorIndex = `kUIColor_UseRGBColor`,
|  | TMCRGBColor | inColor = `TMCRGBColor::sBlack` |
| ) |  |  | `[inline]`

TMFFillAttributes::TMFFillAttributes | ( | TMCRGBColor | inColor | ) | `[inline]`

## Member Function Documentation

TMCRGBColor TMFFillAttributes::GetDisplayColor | ( |  | ) | `[inline]`

Returns the color that should be used in a draw routine by decoding the UIColor and RGB color. This value should not be cached since the personality colors can change at any time.

TMCRGBColor& TMFFillAttributes::GetRGBColor | ( |  | ) | `[inline]`

EUIColor TMFFillAttributes::GetUIColorIndex | ( |  | ) | const`[inline]`

TMFFillAttributes::operator TMCRGBColor | ( |  | ) | `[inline]`

boolean TMFFillAttributes::operator== | ( | const TMFFillAttributes & | inFill | ) | const`[inline]`

void TMFFillAttributes::SetRGBColor | ( | const TMCRGBColor & | inColor | ) | `[inline]`

void TMFFillAttributes::SetUIColorIndex | ( | EUIColor | inUIColorIndex | ) | `[inline]`

## Member Data Documentation

TMCRGBColor TMFFillAttributes::fColor`[protected]`

EUIColor TMFFillAttributes::fUIColorIndex`[protected]`

The documentation for this class was generated from the following file:

- MFFillAttributes.h